Subject: Re: [TLS] Brief Cross-WG review - draft-ietf-mmusic-comedia-tls

From: Allison Mankin <[email-masked]>
Date: Tue, 03 Jan 2006 09:45:54 -0800

> 
> > One other question -- in the IESG review, the issue was raised that
> > there's not currently an IANA registry for textual names of hash
> > functions.  I agreed to add an IANA considerations section for this
> > purpose, but I was wondering if there's interest in having this
> > registry be more broadly scoped than just for comedia-tls?
> 
> Well, as far as TLS goes, we only use integer code points, so this
> wouldn't buy us anything, but speaking personally I think this
> would be a good idea.

Ekr,

I somehow missed Jonathan's original question about this.  I'll support
making this registry broad-based as long as we don't have to troubleshoot
it a lot from the security side.  Essentially this is going to be
an IANA space for SDP-folk determined names of the algorithms
from RFCs 3280 and 4055 (and later, any RFCs which update 4055).

The reason I don't want to use the broad registry if it entails
debugging is that it's not very likely to be in the consciousness of 
future security developers, not being integrated into a reference
security RFC, and there's not much precedent (if any) for using
the same registry for multiple protocols.  

Allison  

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 03 Jan 2006 11:03:20 -0800

> the same registry for multiple protocols.  

OK, well I don't have a strong feeling either way, so this is
probably a question for SAAG or the SEC ADs.

-Ekr